For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETGet
      • DELDelete
      • PATCHUpdate
      • POSTDuplicate
      • POSTCopy
      • GETSearch
        • POSTImport
        • GETStatus
LogoLogo
Sign upLog in
API ReferenceLandscapesImport

Status

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/import/:landscapeImportId
GET
/v1/landscapes/:landscapeId/versions/:versionId/import/:landscapeImportId
$curl https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/import/landscapeImportId \
> -H "X-API-Key: <apiKey>"
1{
2 "landscapeImport": {
3 "createdAt": "2024-01-15T09:30:00Z",
4 "createdBy": "user",
5 "createdById": "string",
6 "deleteAt": "2024-01-15T09:30:00Z",
7 "id": "string",
8 "landscapeId": "string",
9 "status": "in-progress",
10 "versionId": "string",
11 "completedAt": "2024-01-15T09:30:00Z",
12 "errors": [
13 {
14 "message": "string",
15 "code": "string",
16 "entityId": "string",
17 "entityOriginalId": "string",
18 "entityType": "model-object"
19 }
20 ],
21 "prune": true
22 }
23}
Get the status of a landscape import job.
Was this page helpful?
Previous

Create Signed Icon URL

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
landscapeImportIdstringRequired

Response

OK
landscapeImportobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error